using UnityEngine;
using UnityEngine.UI;
using System.Collections;

public class MenuStart : MonoBehaviour {
	AudioSource click = new AudioSource();
    GameObject MCamera;

	void Start()
	{
		click = GameObject.Find("SoundPlayer").GetComponent<AudioSource>();
	}
	public void StartGame()
	{
		click.Play();
        Variables.endless = true;
        Variables.DifficultyMax = 4;
        Variables.DifficultyMin = 3;
        Application.LoadLevel("Scene1");
	}
    public void StartGameEasy()
    {
        click.Play();
        Variables.endless = false;
        Variables.lives = 10;
        Variables.DifficultyMin = 3;
        Variables.DifficultyMax = 4;
        Application.LoadLevel("Scene1");
    }
    public void StartGameMedium()
    {
        click.Play();
        Variables.endless = false;
        Variables.lives = 5;
        Variables.DifficultyMin = 5;
        Variables.DifficultyMax = 8;
        Application.LoadLevel("Scene1");
    }
    public void StartGameHard()
    {
        click.Play();
        Variables.endless = false;
        Variables.lives = 3;
        Variables.DifficultyMin = 8;
        Variables.DifficultyMax = 13;
        Application.LoadLevel("Scene1");
    }
	public void ClassicMode()
	{
		click.Play();
		Application.LoadLevel ("DiffSelect");
	}
	public void BacktoMain()
	{
		click.Play();
		Application.LoadLevel ("startmenu");
	}
	public void QuitGame()
	{
		click.Play();
		Application.Quit ();
	}
}